h1 {
    color: #0e3a69;
    margin-bottom: 1rem;
}
h2 {
    font-size: 30px;
    margin-bottom: 1rem;
}
h3 {
    font-size: 22px;
    font-weight: bold;
    margin-bottom: 0.5rem;
}
h4 {
    font-size: 16px;
    font-weight: bold;
    margin-bottom: 0.5rem;
}
a {
    text-decoration: none;
}

header {
    position: sticky;
    top: 0;
    z-index: 1000;
    background: white;
}

#search-wrapper{
    position: relative; 
    width: 400px;
    #search-form {
        width: inherit;
    }
    #mkdocs-search-results {
        position: absolute;
        top: 100%; 
        left: 0;
        width: 100%;

        background: white;
        border: 1px solid #ccc;
        border-radius: 8px;
        z-index: 9000;
        max-height: 400px;
        overflow-y: auto;
        padding: 0 10px;
        display: none;
        
        p, h3 {
            margin-top: 20px;
        }
    }
}



.items-wrapper, .list-wrapper {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 12px;
}

.categories-wrapper, .content-wrapper{
    margin: 0 40px;
}

.it {
    min-height: 120px; 
    
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;

    border: 1px solid #ccc;
    border-radius: 15px;
    padding: 10px;
}

.it:hover{
    background-color: #0e3a6988;
}

.category {
    display: flex;
    flex-direction: column;
    justify-content: center;
    margin-bottom: 20px;
}

.category > a{
    display: flex;
    width: 160px;
    height: 40px;
    justify-content: center;
    align-items: center;

    margin-top: 20px;
    border: 1px solid #ccc;
    border-radius: 20px;
    align-self: center;

}

.category > a:hover{
    background-color: #0e3a6988;
}

.quick-select-subcat-wrapper {
    display: flex;
    flex-direction: row;
    margin-bottom: 30px;
    overflow-x: scroll;
    padding-bottom: 10px;
    .quick-select-subcat{
        display: flex;
        min-height: 60px;
        justify-content: center;
        align-items: center;
        padding: 15px;
        margin-right: 10px;
        border: 1px solid #ccc;
        border-radius: 20px;
    }
}

.icon-wrapper {
    display: flex;
    width: 100px;
    height: 100px;
    font-size: 100px;
    align-items: center;
}

.project-title {
    display: flex; 
    flex-wrap: wrap; 
    flex-direction: row;
    gap: 20px;
    margin-bottom: 25px;

    .title-info {
        display: flex; 
        flex-wrap: nowrap; 
        gap: 15px;
    }
    .sameas {
        a {
            font-size: 13px;
        }
        h4 {
            margin-bottom: 0.1rem;
        }
    }
}

.project-info {
    display: flex; 
    flex-wrap: wrap; 
    flex-direction: row;
    justify-content: space-evenly;
    border-top: 1px solid #ccc;
    padding-top: 10px;
    margin-bottom: 25px;
    p {
        margin: 0;
    }

    .vl {
        border-left: 1px solid #ccc;
        height: auto;
    }
    
    div {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }

    .vl:last-of-type {
        display: none;
    }
}

.project-image {
    width: 90%;
    height: 200px;
    background-color: #ccc;
    margin: auto;
    border-radius: 20px;
    margin-bottom: 25px;
}

.project-description{
    margin: 25px 20px;
    margin-bottom: 25px;
}

#ProjectDetail {
    border: 1px solid #0000;
    border-bottom-left-radius: 20px;
    border-bottom-right-radius: 20px;
    background-color:rgb(187, 204, 204)
}

#InfoTab {background-color: rgb(187, 204, 204)}
#LinkTab {background-color: rgb(187, 204, 204)}

.tab-bar {
    overflow: hidden;
    background-color: lightgray;
    z-index: 5;
    border-top-left-radius: 20px;
    border-top-right-radius: 20px;
}

.tab-bar button {
    background-color: inherit;
    float: left;
    border: none;
    outline: none;
    cursor: pointer;
    padding: 14px 16px;
    transition: 0.5s;
}

.tab-bar button:not(.active) {
    background-color: lightgray !important;
}

.tab-content {
    display: none;

    div {
        margin: 30px;
    }
    p {
        margin: 0;
    }
}

.tab-content.active {
    display: block;
}

@media (max-width: 768px) {
    .items-wrapper, .list-wrapper {
        display: flex; 
        flex-wrap: wrap; 
        flex-direction: row;
    }
    .it {
        width: 100%;
    }
    .project-title {
        display: flex; 
        flex-direction: column;
        align-items: center;

        h2 {
            text-align: center;
        }
    }
}